Subject: Re: bug#6107: Delete key in the trunk invokes 'backspace' command

From: Stefan Monnier <[email-masked]>
Date: Wed, 05 May 2010 16:51:36 -0400

> After recompiling Emacs from trunk, <delete> key now invokes backspace
> (not in terminal, using a GTK+/X Emacs).  This breaks compatibility
> with everything imaginable, including previous Emacs versions.

I recently redefined the main function related to this, using
define-minor-mode.  But it relies on changes in macros in cl-macs and
easy-mmode, so you may need to recompile those files in the right order
to get the right result.  I.e. please recompile lisp/simple.el (and
re-dump) after compiling all other files.  Or just try bootstrapping.

Of course, maybe I did mess something up in my rewrite, so please
confirm/infirm that the above fixes your problem.

        Stefan